## gkrellm-radio 0.3.3-1

=== Makefile ===
GKRELLMDIR=

PACKAGE=gkrellm-radio
VERSIONMAJOR=0
VERSIONMINOR=3
VERSIONREV=3

VERSION=$(VERSIONMAJOR).$(VERSIONMINOR).$(VERSIONREV)

DISTFILES=gkrellm_radio.c radio.c radio.h videodev.h README Makefile CHANGES

CC=gcc
LDFLAGS=
OBJS=gkrellm_radio.o radio.o
CFLAGS := ${CFLAGS} -fPIC -I$(GKRELLMDIR)/include `gtk-config --cflags` `imlib-config --cflags-gdk` -Wall -DVERSION=\"$(VERSION)\"

ifdef WITH_LIRC
CFLAGS := ${CFLAGS} -DHAVE_LIRC
LDFLAGS:= ${LDFLAGS} -llirc_client
OBJS := ${OBJS} gkrellm_radio_lirc.o
DISTFILES := ${DISTFILES} gkrellm_radio_lirc.c
endif

radio.so: $(OBJS)
	$(CC) -shared -Wl -o radio.so $(OBJS) $(LDFLAGS) 

%.o: %.c
	$(CC) $(CFLAGS) -c $*.c

install: radio.so
	mkdir -p $$HOME/.gkrellm/plugins
	cp radio.so $$HOME/.gkrellm/plugins/

clean:
	rm -f radio.so $(OBJS) *~

dist:
	rm -rf $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	cp -a $(DISTFILES) $(PACKAGE)-$(VERSION)/
	tar cfz $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)/
	rm -rf $(PACKAGE)-$(VERSION)

=== debian/changelog ===
gkrellm-radio (0.3.3-1) unstable; urgency=medium

  * New upstream release (closes: Bug#144101) 

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 23 Apr 2002 00:01:42 +0200

gkrellm-radio (0.3.2-1) unstable; urgency=low

  * New upstream release 

 -- Sjoerd Simons <sjoerd@debian.org>  Sat,  6 Apr 2002 14:43:50 +0200

gkrellm-radio (0.3.1-2) unstable; urgency=low

  * Added missing build-depend (closes: Bug#140729)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon,  1 Apr 2002 11:20:31 +0200

gkrellm-radio (0.3.1-1) unstable; urgency=low

  * New upstream release 

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 29 Mar 2002 18:30:08 +0100

gkrellm-radio (0.3-1) unstable; urgency=low

  * New upstream release 

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 24 Dec 2001 17:31:12 +0100

gkrellm-radio (0.2.1-2) unstable; urgency=low

  * Close /dev/radio when disabling the plugin (closes: Bug#123952) 

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 16 Dec 2001 17:09:28 +0100

gkrellm-radio (0.2.1-1) unstable; urgency=low

  * Initial Release. (closes: Bug#108497)
  * Patched gkrellm_radio.c to compile cleany and to fix a segv bug

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 12 Aug 2001 16:36:55 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: gkrellm-radio
Section: sound
Priority: optional
Maintainer: Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>> 3.0.0), gkrellm (>= 1.0.2),  gdk-imlib-dev, libglib1.2-dev, libgtk1.2-dev, xlib6g, liblircclient-dev
Standards-Version: 3.5.2

Package: gkrellm-radio
Architecture: any
Depends: gkrellm (>= 1.0.2), ${shlibs:Depends}
Description: gkrellm plugin to control radio tuners
 A gkrellm plugin to control radio tuners on linux. It allows you to define
 and jump between a number of radio stations.  With a mouse wheel you can dial
 tune to any frequency.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# adapted for gkrellmwireless
# adapted again for gkrellm-radio
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: configure-stamp build-stamp

build-stamp: 
	dh_testdir

	# Add here commands to compile the package.
	WITH_LIRC=1 $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp 

	# Add here commands to clean up after the build process.
	-WITH_LIRC=1 $(MAKE) clean
 
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	# $(MAKE) install DESTDIR=`pwd`/debian/tmp
	install -d `pwd`/debian/tmp/usr/lib/gkrellm/plugins
	install -c -s -m 755 radio.so `pwd`/debian/tmp/usr/lib/gkrellm/plugins

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs CHANGES
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gkrellm-radio 2.0.4

=== Makefile ===
GKRELLMDIR=

PACKAGE=gkrellm-radio
VERSIONMAJOR=2
VERSIONMINOR=0
VERSIONREV=4

VERSION=$(VERSIONMAJOR).$(VERSIONMINOR).$(VERSIONREV)

DISTFILES=gkrellm_radio.c radio.c radio.h videodev.h README Makefile CHANGES

CC=gcc
LDFLAGS=
OBJS=gkrellm_radio.o radio.o
PLUGIN_DIR ?= /usr/local/lib/gkrellm2/plugins
INSTALL = install -c
INSTALL_PROGRAM = $(INSTALL) -s
GTK_CONFIG = pkg-config gtk+-2.0
CFLAGS := ${CFLAGS} -fPIC -I$(GKRELLMDIR)/include `$(GTK_CONFIG) --cflags`  -DVERSION=\"$(VERSION)\" -Wall

ifdef WITH_LIRC
CFLAGS := ${CFLAGS} -DHAVE_LIRC
LDFLAGS:= ${LDFLAGS} -llirc_client
OBJS := ${OBJS} gkrellm_radio_lirc.o
DISTFILES := ${DISTFILES} gkrellm_radio_lirc.c
endif

LOCALEDIR ?= /usr/share/locale
ifeq ($(enable_nls),1)
  CFLAGS += -DENABLE_NLS -DLOCALEDIR=\"$(LOCALEDIR)\"
  export enable_nls
endif
PACKAGE ?= gkrellm-radio
CFLAGS += -DPACKAGE="\"$(PACKAGE)\"" 
export PACKAGE LOCALEDIR

radio.so: $(OBJS)
	$(CC) -shared -Wl -o radio.so $(OBJS) $(LDFLAGS) 
	(cd po && ${MAKE} all )

%.o: %.c
	$(CC) $(CFLAGS) -c $*.c

install: radio.so
	(cd po && ${MAKE} install)
	$(INSTALL_PROGRAM) -m 755 radio.so $(PLUGIN_DIR)

clean:
	rm -f radio.so $(OBJS) gkrellm_radio_lirc.o *~
	(cd po && ${MAKE} clean)

dist:
	rm -rf $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	cp -a $(DISTFILES) $(PACKAGE)-$(VERSION)/
	tar cfz $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)/
	rm -rf $(PACKAGE)-$(VERSION)

=== po/Makefile ===
MSGFMT = msgfmt
SUB_DIRS = 
FILES_PO:=$(wildcard *.po)
FILES_MO:=$(FILES_PO:.po=.mo)

LOCALEDIR ?= /usr/share/locale
PACKAGE ?= gkrellm-radio

ifeq ($(enable_nls),1)
all: mo-files

mo-files: $(FILES_MO)

install: 
	$(MAKE) all
	for f in *.mo ; do mkdir -p \
		$(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES ; \
		cp $$f $(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/$(PACKAGE).mo ; done

%.mo: %.po
	$(MSGFMT) -f -v -o $@ $<

else

all:

install:

endif

clean:
	$(RM) $(FILES_MO)

=== debian/changelog ===
gkrellm-radio (2.0.4-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:49:23 +0000

gkrellm-radio (2.0.4-3build1) noble; urgency=high

  * No change rebuild against liblirc-client0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:13:45 +0100

gkrellm-radio (2.0.4-3) unstable; urgency=medium

  * Update dependency on lirc library. Closes: #1059975

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 05 Jan 2024 08:00:56 +0100

gkrellm-radio (2.0.4-2) unstable; urgency=medium

  * Take maintainership. Thanks Sjoerd Simons for handing over.
    Closes: #1001971
  * Packaging cleanup. Closes: #437031, #990272, #999002
  * Use /dev/radio0 instead of /dev/radio. Closes: #440352

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 06 Jan 2022 12:27:04 +0100

gkrellm-radio (2.0.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Declare debhelper compat level, bump to 10. Closes: #800309, #817339

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 16 Dec 2016 23:18:39 +0100

gkrellm-radio (2.0.4-1.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667179.

 -- Matthias Klose <doko@debian.org>  Thu, 03 May 2012 23:45:31 +0200

gkrellm-radio (2.0.4-1) unstable; urgency=low

  * New upstream release
    - Only try to reopen the radio on first creation (closes: Bug#211116)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 20 Sep 2003 12:59:41 +0200

gkrellm-radio (2.0.3-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 20 Jan 2003 17:19:18 +0100

gkrellm-radio (2.0.2-1) unstable; urgency=low

    * gkrellm moved to gkrellm 2.x. Moving this to the gkrellm 2 version and
      obsoleting gkrellm-radio2

 -- Sjoerd Simons <sjoerd@debian.org>  Mon,  6 Jan 2003 16:36:39 +0100

gkrellm-radio (0.3.3.1-3) unstable; urgency=low

  * Backported fixes from gkrellm-radio 2.0.2
   - Be sure the radio isn't muted after opening
   - Don't set onoff_state to on if opening the radio failed(closes: bug#172359)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon,  9 Dec 2002 19:45:14 +0000

gkrellm-radio (0.3.3.1-2) unstable; urgency=low

  * Update Build-Depends (closes: bug#170140)

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 22 Nov 2002 11:00:14 +0100

gkrellm-radio (0.3.3.1-1) unstable; urgency=low

  * New source revision special for debian because i was stupid enough to
    upload a debian native package
  * Changed build-depends to gdk-imlib1-dev instead of gdk-imlib-dev at
    request of Steve M. Robbins <smr@debian.org>
  * DH_COMPAT changed from 1 to 3
  * Using standards version 3.5.7

 -- Sjoerd Simons <sjoerd@debian.org>  Tue,  3 Sep 2002 20:54:07 +0200

=== debian/control ===
Source: gkrellm-radio
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
    gkrellm (>= 2.0.0),
    libgtk2.0-dev,
    liblirc-dev,
Priority: optional
Rules-Requires-Root: no
Section: sound

Package: gkrellm-radio
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
    gkrellm,
Description: FM radio tuner for GKrellM
 A gkrellm plugin to control radio tuners on Linux. It allows you to
 define and jump between a number of radio stations.  With a mouse
 wheel you can dial tune to any frequency.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export enable_nls=1
export WITH_LIRC=1
export PLUGIN_DIR=/usr/lib/gkrellm2/plugins

%:
	dh $@
